Package com.sun.jna.platform.win32

## Class WinGDI.RGNDATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinGDI.RGNDATA

- Enclosing interface:
    WinGDI

      @FieldOrder({"rdh","Buffer"})
      public static class WinGDI.RGNDATA
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `Buffer` |
    `WinGDI.RGNDATAHEADER` | `rdh` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RGNDATA()` |
    `RGNDATA​(int bufferSize)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### rdh

          public WinGDI.RGNDATAHEADER rdh

    - #### Buffer

          public byte[] Buffer

  - ### Constructor Detail

    - #### RGNDATA

          public RGNDATA()

    - #### RGNDATA

          public RGNDATA​(int bufferSize)